Subject: Re: bug#19206: 25.0.50; CC Mode tracks wrong source files

From: Stefan Monnier <[email-masked]>
Date: Fri, 28 Nov 2014 14:49:07 -0500

> I did not try to find the culprit.  The CC Mode code is convoluted
> beyond my understanding.

Agreed, it's madness.  I'd like to streamline it (at some runtime cost),
but that requires major modes that use CC to do

  (require 'cc-langs)

rather than

  (eval-when-compile (require 'cc-langs))

Still, you can already do that and I recommend it since it should reduce
the number of ways the code can fail.  More to the point, it might fix
the problem you're experiencing (maybe cc-miscompile will still be
mentioned in there, but it hopefully won't be any more).

        Stefan